Bug 1978689 - [global registration] [hammer] - No proper alignment in host-registration generate-command -h command [NEEDINFO]
Summary: [global registration] [hammer] - No proper alignment in host-registration ge...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hammer
Version: Unspecified
Hardware: All
OS: All
medium
low vote
Target Milestone: 6.11.0
Assignee: Oleh Fedorenko
QA Contact: Gaurav Talreja
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-02 13:49 UTC by Omkar Khatavkar
Modified: 2022-03-18 13:35 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
gtalreja: needinfo? (ofedoren)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 33129 0 Normal New [global registration] [hammer] - No proper alignment in host-registration generate-command -h command 2021-07-23 17:00:52 UTC

Description Omkar Khatavkar 2021-07-02 13:49:56 UTC
Description of problem:
[global registration] [hammer] -  No proper alignment in host-registration generate-command -h command  

Version-Release number of selected component (if applicable):
Satellite 6.10 Snap 7

How reproducible:
always 

Steps to Reproduce:
1. hammer host-registration generate-command -h


Actual results:
argument help options are not aligned properly 

Expected results:
argument help options should aligned properly 

Additional info:

Comment 1 Brad Buckingham 2021-07-08 14:41:05 UTC
Hi Omkar, 

Can you include the output of the -h command?  Thanks!

Comment 2 Leos Stejskal 2021-07-15 13:43:32 UTC
Hi,
the problem is long description of `/register` API endpoints.
But this is problem of formatting on Hammer tool side.

My suggestion is to move this to Hammer component

Comment 3 Omkar Khatavkar 2021-07-22 11:52:58 UTC
Converted the component to Hammer.

Comment 4 Oleh Fedorenko 2021-07-23 17:00:51 UTC
Created redmine issue https://projects.theforeman.org/issues/33129 from this bug

Comment 7 Bryan Kearney 2021-08-17 16:05:25 UTC
Upstream bug assigned to ofedoren@redhat.com

Comment 8 Bryan Kearney 2021-08-17 16:05:28 UTC
Upstream bug assigned to ofedoren@redhat.com

Comment 9 Bryan Kearney 2021-08-26 16:05:16 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/33129 has been resolved.

Comment 10 Gaurav Talreja 2021-12-16 09:29:46 UTC
Verified.

Tested on Satellite 7.0 Snap 2.0
Version: tfm-rubygem-hammer_cli-3.1.0-1.el7sat.noarch

Steps:
1. # hammer host-registration generate-command -h

Observation:
Help option descriptions aligned properly in the above command, and as this fixing formatting of all commands, check for random commands like organization create, location create, host create, option descriptions are aligned properly.

As this was originally existed and proposed for 6.10 earlier, do we need a backport of this for 6.10?


Note You need to log in before you can comment on or make changes to this bug.